Package org.eclipse.handly.ui.viewer

## Class ElementLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.handly.ui.viewer.ElementLabelProvider

- All Implemented Interfaces:
    `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`

      public class ElementLabelProvider
      extends org.eclipse.jface.viewers.LabelProvider

  A basic label provider for `IElement`s. Uses the name of the element as its text. No images.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementLabelProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getText​(java.lang.Object element)` |

    - ### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

      `createImageProvider, createTextImageProvider, createTextProvider, getImage`

    - ### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

      `addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `addListener, dispose, isLabelProperty, removeListener`

- - ### Constructor Detail

    - #### ElementLabelProvider

          public ElementLabelProvider()

  - ### Method Detail

    - #### getText

          public java.lang.String getText​(java.lang.Object element)

      Specified by:
        `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
      Overrides:
        `getText` in class `org.eclipse.jface.viewers.LabelProvider`